
Redmine - Patch #3370

Hide completed version in new issues

2009-05-16 22:35 - Guido Wehner

Status: Closed Start date: 2009-05-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Description

If you have many Milsteons/Versions in one procect the Dropdown  List is quite confusing.

To solve this problem a patch is attached to Hide all completed version in Ticket Create DropDown.

Related issues:

Related to Redmine - Feature #1245: close versions Closed 2008-05-16

History

#1 - 2009-05-18 22:54 - Mischa The Evil

Another patch for #1245... :)

#2 - 2009-06-26 15:44 - Alejandro Scandroli

When updating older issues you can loss the "Target Version" because it's not in the list.

I've changed the f.select's parameter to include the current "fixed_version".

(@project.actual_versions.push(@project.versions.find(@issue.fixed_version)).sort.collect {|v| [v.name, v.id]}

),

 This way you can edit older issues without deleting the "Target Version" by mistake.

#3 - 2009-11-08 14:02 - Jean-Philippe Lang

- Status changed from New to Closed

Obsoleted by r3020.

Files

actual_version.patch 1.24 KB 2009-05-16 Guido Wehner
